package dev.fyloz.musicplayer.core.data.memory

import dev.fyloz.musicplayer.core.data.TrackRepository
import dev.fyloz.musicplayer.core.model.Track
import dev.fyloz.musicplayer.core.removeIf

class TrackMemoryRepository : BaseMemoryRepository<Track>(), TrackRepository {
    override fun deleteByTrackId(trackId: String, source: String) {
        memoryCache.removeIf { it.source == source && it.trackId == trackId }
    }

    override fun getId(t: Track) = t.id
}
