package dev.fyloz.musicplayer.core.factory

import dev.fyloz.musicplayer.core.http.auth.AuthorizationData
import dev.fyloz.musicplayer.core.model.ExternalTrack
import dev.fyloz.musicplayer.core.model.Track

interface TrackFactory {
    suspend fun search(query: String, auth: AuthorizationData): Collection<ExternalTrack>
    suspend fun create(id: String, trackId: String, auth: AuthorizationData): Track
}
