package dev.fyloz.musicplayer.core.model

import kotlinx.serialization.Serializable

typealias SearchResult = Map<String, Collection<ExternalTrack>>

@Serializable
data class ExternalTrack(
    val trackId: String,
    val name: String,
    val albumName: String,
    val authors: Collection<String>,
    val thumbnailUrl: String,
    val previewUrl: String
)
