package dev.fyloz.musicplayer.modules.spotify.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class AccessTokenRequest(
    val code: String,

    @SerialName("redirect_uri")
    val redirectUri: String
) {
    @SerialName("grant_type")
    val grantType = "authorization_code"
}
