package dev.fyloz.musicplayer.modules.spotify.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Album(
    @SerialName("album_type")
    val albumType: String,
    val href: String,
    val id: String,
    val name: String,

    @SerialName("release_date")
    val releaseDate: String,

    @SerialName("release_date_precision")
    val releaseDatePrecision: String,
    val type: String,
    val uri: String,
    val images: Collection<Image>,
    val artists: Collection<Artist>,

    @SerialName("external_urls")
    val externalUrls: ExternalUrls
)
