package dev.fyloz.musicplayer.core.data

interface Repository<T> {
    fun findAll(): Collection<T>
    fun findById(id: String): T?
    fun existsById(id: String): Boolean
    fun save(t: T)
    fun deleteById(id: String)
}
