package dev.fyloz.musicplayer.core.http.auth

class AuthorizationData {
    private val modulesData = mutableMapOf<String, Any>()

    fun <T : Any> addModuleData(data: T, moduleName: String) {
        modulesData[moduleName] = data;
    }

    @Suppress("UNCHECKED_CAST")
    fun <T : Any> getModuleData(moduleName: String): T {
        return modulesData[moduleName] as T
    }
}
