package dev.fyloz.musicplayer.modules.spotify

import dev.fyloz.musicplayer.core.model.Track
import dev.fyloz.musicplayer.core.model.TrackImagesUrls
import kotlinx.serialization.Serializable

@Serializable
data class SpotifyTrack(
    override val id: String,
    override val trackId: String,
    override val name: String,
    override val authors: Collection<String>,
    override val imagesUrls: TrackImagesUrls
) : Track() {
    override val source = SpotifyModule.moduleName
}
