package dev.fyloz.musicplayer.modules.spotify.api

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Artist(
    val href: String,
    val id: String,
    val name: String,
    val type: String,
    val uri: String,

    @SerialName("external_urls")
    val externalUrls: ExternalUrls
)
