package dev.fyloz.musicplayer.modules.spotify.api

import kotlinx.serialization.Serializable

@Serializable
data class SearchResponse(
    val tracks: TrackSearchResponse
)

@Serializable
data class TrackSearchResponse(
    val href: String,
    val items: Collection<Track>,
    val limit: Int,
    val next: String,
    val offset: Int,
    val previous: String?,
    val total: Int
)
