package dev.fyloz.musicplayer.modules.spotify.config

import io.ktor.server.config.*

data class SpotifyConfiguration(
    val clientId: String,
    val clientSecret: String
) {
    companion object {
        fun fromEnvironment(config: ApplicationConfig) = SpotifyConfiguration(
            config.property("modules.spotify.clientId").getString(),
            config.property("modules.spotify.clientSecret").getString()
        )
    }
}
